<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CheckPaymentRequiredFieldsResponse StructType
 * @subpackage Structs
 */
class JP_CheckPaymentRequiredFieldsResponse extends AbstractStructBase
{
    /**
     * The Fields
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RequiredField
     */
    public $Fields;
    /**
     * Constructor method for JP_CheckPaymentRequiredFieldsResponse
     * @uses JP_CheckPaymentRequiredFieldsResponse::setFields()
     * @param \ArrayType\ArrayOfJP_RequiredField $fields
     */
    public function __construct(\ArrayType\ArrayOfJP_RequiredField $fields = null)
    {
        $this
            ->setFields($fields);
    }
    /**
     * Get Fields value
     * @return \ArrayType\ArrayOfJP_RequiredField|null
     */
    public function getFields()
    {
        return $this->Fields;
    }
    /**
     * Set Fields value
     * @param \ArrayType\ArrayOfJP_RequiredField $fields
     * @return \StructType\JP_CheckPaymentRequiredFieldsResponse
     */
    public function setFields(\ArrayType\ArrayOfJP_RequiredField $fields = null)
    {
        $this->Fields = $fields;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_CheckPaymentRequiredFieldsResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
